Subject: bug#38013: [PATCH] Rectangular region selection with mouse

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Nov 2019 15:17:07 +0200

> From: Mattias Engdegård <[email-masked]>
> Date: Fri, 1 Nov 2019 12:53:44 +0100
> Cc: [email-masked]
> 
> With the default settings, click and drag (mouse button 1) with meta held to mark a rectangular region.

Thanks, I will try.

> A minor mode is less ideal: rectangular selection is something the user wants to be able to do on a whim, without having to plan ahead by activating a minor mode. It is also good to follow standard practice in other editors and terminal emulators

And yet cua-rect.el defined a command to enter this mode.

I don't really buy the "on a whim" argument; I think the user always
knows in advance whether the next selection will or won't be
rectangular.  So I still think a minor mode is the best solution, if
something like C-M-mouse-1 is not portable enough.